Safari浏览器不支持let声明的解决方式

 muxiongxiong   2022-01-07 16:40   496 人阅读  0 条评论

大家好,我是雄雄,欢迎关注微信公众号:雄雄的小课堂

前言

现在是2022年1月7日16:19:38,前几天用publiccms改了个网站,因为客户那边各种机型都有(各PC端的分辨率也都不一样),所以导致页面呈现的效果也不一样,跑版的、显示不出来的、有遮挡的,各种问题层出不穷,以前也是为了省事,没有做要多的自适应,所以问题都出来了。

经过几天的反复修改,终于改的差不多了,但是又遇到了个问题,客户那边还有个苹果机型。用的浏览器是Safari,上去之后又乱板了……

实现思路:

好在跑版的地方也不多,就是一个表单的搜索框默认提示信息太靠上了,加了个line-height就搞定了。

image-20220107162512496

但是还有个问题,之前写的下拉宽屏效果,在其他浏览器上没有问题,但是在Safari上面就出不来,调试了半天,加高、加背景色、分析原因……

最后发现原来是有个**js**报错了。

image-20220107162653039

报错信息与地方如下:

image-20220107162750342

于是我就猜想是不是let的原因,难道这个浏览器不支持let声明吗?改成了var试了下,可以了。

错误代码:

  let i = $(this).attr('data-i');

正确代码:

var i = $(this).attr('data-i');
本文地址:http://xn--ypzn79ca.com/?id=1349
版权声明:本文为原创文章,版权归 muxiongxiong 所有,欢迎分享本文,转载请保留出处!

 发表评论


表情

还没有留言,还不快点抢沙发?